<template>
  <mt-affichable :id="id" :affichage="affichage" forcer-affichage-for-test>
    <b-carousel v-model="slide" :autoplay="false" :arrow="false">
      <b-carousel-item>
        <mt-sondage-slide1 @next="slide = 1" @close="$emit('close')"></mt-sondage-slide1>
      </b-carousel-item>
      <b-carousel-item>
        <mt-sondage-slide2
          :reponse="reponse"
          @next="suivant"
          @previous="precedent"
          @close="$emit('close')"
          @repondre="repondre"
        ></mt-sondage-slide2>
      </b-carousel-item>
      <b-carousel-item>
        <mt-sondage-slide3 @previous="slide = 1" @close="$emit('close')"></mt-sondage-slide3>
      </b-carousel-item>
    </b-carousel>
  </mt-affichable>
</template>

<script>
import MtSondageSlide1 from '~/components/nouveaute/sondage20210618/slide1';
import MtSondageSlide2 from '~/components/nouveaute/sondage20210618/slide2';
import MtSondageSlide3 from '~/components/nouveaute/sondage20210618/slide3';
import MtAffichable from '~/components/nouveaute/affichable';

export default {
  name: 'MtSondage',
  components: {
    MtAffichable,
    MtSondageSlide3,
    MtSondageSlide2,
    MtSondageSlide1,
  },
  props: {
    affichage: {
      type: Array,
      default: () => [],
      required: true,
    },
    id: {
      type: String,
      default: '18/06/2021',
      required: true,
    },
    reponse: {
      type: String,
      default: null,
    },
  },
  data() {
    return {
      slide: 0,
    };
  },
  methods: {
    suivant() {
      this.slide = 2;
    },
    precedent() {
      this.slide = 0;
    },
    ferme() {
      this.$emit('close');
    },
    repondre(rep) {
      this.$emit('repondre', rep);
    },
  },
};
</script>

<style scoped lang="scss">
/deep/ {
  .mt-close {
    display: none;
  }
  .mt-modal {
    padding: 0;
  }
}
</style>
